# Makefile for g++ library version 1.34.0

# Copyright (C) 1988 Free Software Foundation
#   written by Doug Lea (dl@rocky.oswego.edu)

# This file is part of GNU CC.

# GNU CC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY.  No author or distributor
# accepts responsibility to anyone for the consequences of using it
# or for whether it serves any particular purpose or works at all,
# unless he says so in writing.  Refer to the GNU CC General Public
# License for full details.

# Everyone is granted permission to copy, modify and redistribute
# GNU CC, but only under the conditions described in the
# GNU CC General Public License.   A copy of this license is
# supposed to have been given to you along with GNU CC so you
# can know your rights and responsibilities.  It should be in a
# file named COPYING.  Among other things, the copyright notice
# and this notice must be preserved on all copies.

# this version of the file hacked by jrd for use on Atari ST

# GNU C++ compiler name
# GXX = g++

# GNU CC compiler name (needed for some .c files in g++.olb)
CC = gcc

###########################################################################
# 
# declarations from here on should not normally need to be changed 
# in order to compile g++.olb
#

I= ..\\g++-include
J= ..\g++-include

# g++ compilation flags:
# the fchar-charconst flag is mandatory for some stream ops to work sensibly
GFLAGS= -O -fchar-charconst -I$J -I.. -fstrength-reduce -fsave-memoized
#GFLAGS= -g -O -fchar-charconst -I$I -I.. -fstrength-reduce -fsave-memoized -mgnu

# gcc flags for c files
CFLAGS= -g -O -I$J

# g++ files should have extension .cc
.SUFFIXES: .cc
.cc.o:
	g++ $(GFLAGS) -c  $<


# library sources 
SRCS = atarist.c builtin.cc  st-file.cc stream.cc plotfile.cc sfile.cc \
 obstack.cc regex.c string.cc integer.cc rational.cc complex.cc \
 bitset.cc bitstrin.cc random.cc rng.cc acg.cc mlcg.cc sample.cc \
 fix.cc fix16.cc fix24.cc curseswi.cc

OBJS = atarist.o builtin.o st-file.o  stream.o  plotfile.o  sfile.o \
 obstack.o  regex.o string.o  integer.o rational.o complex.o \
 bitset.o bitstrin.o \
 fix.o fix16.o fix24.o 

#  random.o  rng.o acg.o mlcg.o sample.o seem to be broken...
#  curseswi.o    needs to be fixed to not depend on eunuchs io

###########################################################################
#
# compilation actions
#
# compilation notes:
#
# No g++ warnings or error messages are expected to appear.
#
# A possible exception is a warning about `shadowing' the declaration
# of `timezone', since it may appear in both a system and a g++-include .h
#
# A similar message may appear about `flock', for the same reasons
#
# Expect some warnings from gcc on regex.c about `char*' vs `unsigned char*'


all: g++.olb

g++.olb: $(OBJS)
	ar r g++.olb $(OBJS)

clean:
	rm -f *.o core g++.a C++.hack*


###########################################################################
#
#  dependencies
#

st-file.o:    $I\\file.h $I\\std.h $I\\stddef.h  $I\\builtin.h
stream.o: $I\\stream.h $I\\file.h  $I\\builtin.h
plotfile.o: $I\\plotfile.h $I\\file.h  $I\\builtin.h
sfile.o: $I\\sfile.h $I\\file.h $I\\std.h $I\\stddef.h  $I\\builtin.h
obstack.o: $I\\obstack.h $I\\builtin.h
string.o: $I\\string.h $I\\stream.h $I\\regex.h $I\\std.h $I\\builtin.h $I\\file.h
integer.o: $I\\integer.h $I\\stream.h $I\\file.h $I\\builtin.h
rational.o: $I\\rational.h $I\\integer.h $I\\stream.h $I\\file.h $I\\builtin.h
complex.o: $I\\complex.h $I\\stream.h $I\\file.h $I\\builtin.h
bitset.o: $I\\bitset.h $I\\stream.h $I\\builtin.h $I\\file.h
bitstring.o: $I\\bitstring.h $I\\stream.h $I\\builtin.h $I\\file.h
regex.o: $I\\regex.h
builtin.o: $I\\builtin.h $I\\math.h
rng.o: $I\\assert.h $I\\rng.h
mlcg.o: $I\\rng.h $I\\mlcg.h
acg.o: $I\\assert.h $I\\rng.h $I\\acg.h
random.o: $I\\random.h $I\\rng.h \
 $I\\binomial.h  $I\\erlang.h $I\\geometric.h \
 $I\\hypergeometric.h $I\\negativeexpntl.h  $I\\normal.h \
 $I\\lognormal.h $I\\poisson.h $I\\discreteuniform.h \
 $I\\uniform.h  $I\\weibull.h 
sample.o: $I\\samplestatistic.h  $I\\samplehistogram.h $I\\file.h
fix.cc: $I\\fix.h $I\\file.h 
fix16.cc: $I\\fix16.h $I\\file.h 
fix24.cc: $I\\fix24.h $I\\file.h 
curseswindow.o: $I\\curses.h $I\\curseswindow.h
